/* Find Dealer Section */
/* ------------------------------------------------- */

section.find-dealer {
    padding: var(--space-10) 0 0;
    background: var(--neutral-100);
}

.find-dealer-content {
    display: flex;
    flex-direction: column;
    gap: var(--space-4);
    justify-content: center;
    max-width: 750px;
    margin-bottom: var(--space-3);
}

section.find-dealer .wrap {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--space-8);
}

.dealer-map {
    width: 100%;
    margin-top: var(--space-8);
    aspect-ratio: 16 / 9;
    min-height: 520px;
    overflow: hidden;
}

.find-dealer-filter {
    display: flex;
    gap: var(--space-3);
    align-items: center;
}

.find-dealer-filter .select-wrapper {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 450px;
}

.find-dealer-filter select {
    display: flex;
    padding: var(--space-3) var(--space-4);
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 450px;
    font-size: var(--font-size-16);
    font-family: "Circular Std", sans-serif;
    font-style: normal;
    font-weight: 450;
    line-height: 150%;
    border: 1px solid var(--neutral-300);
    background: var(--neutral-25);
    color: var(--neutral-500);
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
}

.find-dealer-filter select:valid {
    color: var(--neutral-950);
}

.find-dealer-filter .select-chevron {
    position: absolute;
    right: var(--space-4);
    color: var(--neutral-950);
    pointer-events: none;
}

.button-search {
    padding: var(--space-3) var(--space-5);
    color: var(--neutral-950);
    background: var(--blue-200);
    font-size: var(--font-size-16);
    font-style: normal;
    font-weight: 450;
    font-family: inherit;
    line-height: 150%;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-decoration: none;
    border: solid 1px var(--blue-200);
    width: fit-content;
    display: flex;
    gap: var(--space-3);
    align-items: center;
    transition: ease 0.6s;
    cursor: pointer;
}

.button-search:hover {
    color: var(--neutral-25);
    background: var(--blue-700);
}

@media (max-width: 1080px) {
    section.find-dealer .wrap {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 650px) {
    section.find-dealer .wrap {
        grid-template-columns: 1fr;
    }
}